Package org.jboss.resteasy.spi

## Class BadRequestException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.resteasy.spi.Failure
        - - org.jboss.resteasy.spi.BadRequestException

- All Implemented Interfaces:
    `Serializable`

      @Deprecated
      public class BadRequestException
      extends Failure

  Deprecated.
  This class is deprecated use javax.ws.rs.BadRequestException
  Thrown by RESTEasy when HTTP Bad Request (400) is encountered
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.spi.Failure

      `errorCode, loggable, response`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BadRequestException​(String s)` | Deprecated.
    `BadRequestException​(String s, Throwable throwable)` | Deprecated.
    `BadRequestException​(String s, Throwable throwable, javax.ws.rs.core.Response response)` | Deprecated.
    `BadRequestException​(String s, javax.ws.rs.core.Response response)` | Deprecated.
    `BadRequestException​(Throwable throwable)` | Deprecated.
    `BadRequestException​(Throwable throwable, javax.ws.rs.core.Response response)` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.jboss.resteasy.spi.Failure

      `getErrorCode, getResponse, isLoggable, setErrorCode, setLoggable, setResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BadRequestException

          public BadRequestException​(String s)

      Deprecated.

    - #### BadRequestException

          public BadRequestException​(String s,
                                     javax.ws.rs.core.Response response)

      Deprecated.

    - #### BadRequestException

          public BadRequestException​(String s,
                                     Throwable throwable,
                                     javax.ws.rs.core.Response response)

      Deprecated.

    - #### BadRequestException

          public BadRequestException​(String s,
                                     Throwable throwable)

      Deprecated.

    - #### BadRequestException

          public BadRequestException​(Throwable throwable)

      Deprecated.

    - #### BadRequestException

          public BadRequestException​(Throwable throwable,
                                     javax.ws.rs.core.Response response)

      Deprecated.